[package - head-amd64-default][emulators/qemu-user-static-devel] Failed for qemu-user-static-devel-3.1.0_3 in configure

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[package - head-amd64-default][emulators/qemu-user-static-devel] Failed for qemu-user-static-devel-3.1.0_3 in configure

pkg-fallout
You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     [hidden email]
Last committer: [hidden email]
Ident:          $FreeBSD: head/emulators/qemu-user-static-devel/Makefile 525282 2020-02-05 16:09:19Z kevans $
Log URL:        http://beefy18.nyi.freebsd.org/data/head-amd64-default/p528551_s359028/logs/qemu-user-static-devel-3.1.0_3.log
Build URL:      http://beefy18.nyi.freebsd.org/build.html?mastername=head-amd64-default&build=p528551_s359028
Log:

=>> Building emulators/qemu-user-static-devel
build started at Tue Mar 17 11:30:59 UTC 2020
port directory: /usr/ports/emulators/qemu-user-static-devel
package name: qemu-user-static-devel-3.1.0_3
building for: FreeBSD head-amd64-default-job-06 13.0-CURRENT FreeBSD 13.0-CURRENT 1300084 amd64
maintained by: [hidden email]
Makefile ident:      $FreeBSD: head/emulators/qemu-user-static-devel/Makefile 525282 2020-02-05 16:09:19Z kevans $
Poudriere version: 3.2.8-5-gc81843e5
Host OSVERSION: 1300076
Jail OSVERSION: 1300084
Job Id: 06




!!! Jail is newer than host. (Jail: 1300084, Host: 1300076) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
OSVERSION=1300084
UNAME_v=FreeBSD 13.0-CURRENT 1300084
UNAME_r=13.0-CURRENT
BLOCKSIZE=K
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.2.8-5-gc81843e5
MASTERMNT=/usr/local/poudriere/data/.m/head-amd64-default/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=
PWD=/usr/local/poudriere/data/.m/head-amd64-default/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=head-amd64-default
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/usr/local/poudriere/data/.m/head-amd64-default/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
---End OPTIONS List---

--MAINTAINER--
[hidden email]
--End MAINTAINER--

--CONFIGURE_ARGS--
--localstatedir=/var --extra-ldflags=-L/usr/local/lib --extra-cflags=-I/usr/local/include --disable-libssh2 --target-list=i386-bsd-user,sparc-bsd-user,arm-bsd-user,mips-bsd-user,mipsel-bsd-user,ppc-bsd-user,x86_64-bsd-user,riscv64-bsd-user,sparc64-bsd-user,mips64-bsd-user,mips64el-bsd-user,ppc64-bsd-user,aarch64-bsd-user --prefix=/usr/local --cc=cc --enable-docs  --disable-linux-user --disable-linux-aio  --disable-kvm --disable-xen  --smbd=/usr/local/sbin/smbd  --enable-debug  --enable-debug-info  --static  --python=/usr/local/bin/python3.7  --disable-sdl --disable-gtk --disable-vte --disable-gnutls --disable-vnc  --disable-curl --disable-opengl --disable-usb-redir --disable-pcap  --disable-docs --disable-tools --disable-system --disable-guest-agent  --extra-cflags=-I/wrkdirs/usr/ports/emulators/qemu-user-static-devel/work/qemu-bsd-user-e21442a\ -I/usr/local/include\ -DPREFIX=\\\"\"/usr/local\\\"\"
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
MAKE=gmake ac_cv_path_PERL=/usr/local/bin/perl ac_cv_path_PERL_PATH=/usr/local/bin/perl  PERL_USE_UNSAFE_INC=1 PKG_CONFIG=pkgconf PYTHON="/usr/local/bin/python3.7" XDG_DATA_HOME=/wrkdirs/usr/ports/emulators/qemu-user-static-devel/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/emulators/qemu-user-static-devel/work  HOME=/wrkdirs/usr/ports/emulators/qemu-user-static-devel/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/emulators/qemu-user-static-devel/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
BSD_MAKE="/usr/bin/make" V=1 PERL_USE_UNSAFE_INC=1 XDG_DATA_HOME=/wrkdirs/usr/ports/emulators/qemu-user-static-devel/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/emulators/qemu-user-static-devel/work  HOME=/wrkdirs/usr/ports/emulators/qemu-user-static-devel/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/emulators/qemu-user-static-devel/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  CC="cc" CFLAGS="-O2 -pipe  -Wno-address-of-packed-member -D_WANT_SEMUN -fstack-protector-strong -fno-strict-aliasing "  CPP="cpp" CPPFLAGS=""  LDFLAGS=" -fstack-protector-strong " LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe -Wno-address-of-packed-member -D_WANT_SEMUN -fstack-protector-strong -fno-strict-aliasing  "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DAT
 A="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PYTHON_INCLUDEDIR=include/python3.7m  PYTHON_LIBDIR=lib/python3.7  PYTHON_PLATFORM=freebsd13  PYTHON_SITELIBDIR=lib/python3.7/site-packages  PYTHON_SUFFIX=37  PYTHON_VER=3.7  PYTHON_VERSION=python3.7 PYTHON2="@comment " PYTHON3="" 64BIT="" OSREL=13.0 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local LIB32DIR=lib PERL_VERSION=5.30.1  PERL_VER=5.30  PERL5_MAN1=lib/perl5/site_perl/man/man1  PERL5_MAN3=lib/perl5/site_perl/man/man3  SITE_PERL=lib/perl5/site_perl  SITE_ARCH=lib/perl5/site_perl/mach/5.30 DOCSDIR="share/doc/qemu"  EXAMPLESDIR="share/examples/qemu"  DATADIR="share/qemu"  WWWDIR="www/qemu"  ETCDIR="etc/qemu"
--End PLIST_SUB--

--SUB_LIST--
NAME=qemu_user_static PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/qemu DOCSDIR=/usr/local/share/doc/qemu EXAMPLESDIR=/usr/local/share/examples/qemu  WWWDIR=/usr/local/www/qemu ETCDIR=/usr/local/etc/qemu
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_921dbbb2=FreeBSD clang version 10.0.0 ([hidden email]:llvm/llvm-project.git llvmorg-10.0.0-rc3-1-gc290cb61fdc) Target: x86_64-unknown-freebsd13.0 Thread model: posix InstalledDir: /usr/bin
_ALTCCVERSION_921dbbb2=none
_CXXINTERNAL_acaad9ca=FreeBSD clang version 10.0.0 ([hidden email]:llvm/llvm-project.git llvmorg-10.0.0-rc3-1-gc290cb61fdc) Target: x86_64-unknown-freebsd13.0 Thread model: posix InstalledDir: /usr/bin "/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" "/libexec/ld-elf.so.1" "--hash-style=both" "--enable-new-dtags" "-o" "a.out" "/usr/lib/crt1.o" "/usr/lib/crti.o" "/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_921dbbb2_58173849=yes
CC_OUTPUT_921dbbb2_9bdba57c=yes
CC_OUTPUT_921dbbb2_6a4fe7f5=yes
CC_OUTPUT_921dbbb2_6bcac02b=yes
CC_OUTPUT_921dbbb2_67d20829=yes
CC_OUTPUT_921dbbb2_bfa62e83=yes
CC_OUTPUT_921dbbb2_f0b4d593=yes
CC_OUTPUT_921dbbb2_308abb44=yes
CC_OUTPUT_921dbbb2_f00456e5=yes
CC_OUTPUT_921dbbb2_65ad290d=yes
CC_OUTPUT_921dbbb2_f2776b26=yes
CC_OUTPUT_921dbbb2_b2657cc3=yes
CC_OUTPUT_921dbbb2_380987f7=yes
CC_OUTPUT_921dbbb2_160933ec=yes
CC_OUTPUT_921dbbb2_fb62803b=yes
_OBJC_CCVERSION_921dbbb2=FreeBSD clang version 10.0.0 ([hidden email]:llvm/llvm-project.git llvmorg-10.0.0-rc3-1-gc290cb61fdc) Target: x86_64-unknown-freebsd13.0 Thread model: posix InstalledDir: /usr/bin
_OBJC_ALTCCVERSION_921dbbb2=none
ARCH=amd64
OPSYS=FreeBSD
_OSRELEASE=13.0-CURRENT
OSREL=13.0
OSVERSION=1300084
PYTHONBASE=/usr/local
HAVE_COMPAT_IA32_KERN=YES
CONFIGURE_MAX_CMD_LEN=524288
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
GID=0
UID=0
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  33554432
stack size              (kbytes, -s)  524288
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License GPLv2 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   qemu-user-static-devel-3.1.0_3 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.13.2.txz
[head-amd64-default-job-06] Installing pkg-1.13.2...
[head-amd64-default-job-06] Extracting pkg-1.13.2: .......... done
===>   qemu-user-static-devel-3.1.0_3 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of qemu-user-static-devel-3.1.0_3
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by qemu-user-static-devel-3.1.0_3 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by qemu-user-static-devel-3.1.0_3 for building
=> SHA256 Checksum OK for qemu/3.1.0/seanbruno-qemu-bsd-user-3.1.0-e21442a_GH0.tar.gz.
=> SHA256 Checksum OK for qemu/3.1.0/qemu-keycodemapdb-10739aa_GH0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by qemu-user-static-devel-3.1.0_3 for building
===>  Extracting for qemu-user-static-devel-3.1.0_3
=> SHA256 Checksum OK for qemu/3.1.0/seanbruno-qemu-bsd-user-3.1.0-e21442a_GH0.tar.gz.
=> SHA256 Checksum OK for qemu/3.1.0/qemu-keycodemapdb-10739aa_GH0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for qemu-user-static-devel-3.1.0_3
===========================================================================
=======================<phase: build-depends  >============================
===>   qemu-user-static-devel-3.1.0_3 depends on file: /usr/local/lib/libglib-2.0.a - not found
===>   Installing existing package /packages/All/glib-2.56.3_7,1.txz
[head-amd64-default-job-06] Installing glib-2.56.3_7,1...
[head-amd64-default-job-06] `-- Installing gettext-runtime-0.20.1...
[head-amd64-default-job-06] |   `-- Installing indexinfo-0.3.1...
[head-amd64-default-job-06] |   `-- Extracting indexinfo-0.3.1: .... done
[head-amd64-default-job-06] `-- Extracting gettext-runtime-0.20.1: .......... done
[head-amd64-default-job-06] `-- Installing libffi-3.2.1_3...
[head-amd64-default-job-06] `-- Extracting libffi-3.2.1_3: .......... done
[head-amd64-default-job-06] `-- Installing libiconv-1.14_11...
[head-amd64-default-job-06] `-- Extracting libiconv-1.14_11: .......... done
[head-amd64-default-job-06] `-- Installing libxml2-2.9.10...
[head-amd64-default-job-06] `-- Extracting libxml2-2.9.10: .......... done
[head-amd64-default-job-06] `-- Installing pcre-8.43_2...
[head-amd64-default-job-06] `-- Extracting pcre-8.43_2: .......... done
[head-amd64-default-job-06] `-- Installing python37-3.7.6...
[head-amd64-default-job-06] |   `-- Installing readline-8.0.4...
[head-amd64-default-job-06] |   `-- Extracting readline-8.0.4: .......... done
[head-amd64-default-job-06] `-- Extracting python37-3.7.6: .......... done
[head-amd64-default-job-06] Extracting glib-2.56.3_7,1: .......... done
No schema files found: doing nothing.
=====
Message from python37-3.7.6:

--
Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

py37-gdbm       databases/py-gdbm@py37
py37-sqlite3    databases/py-sqlite3@py37
py37-tkinter    x11-toolkits/py-tkinter@py37
===>   qemu-user-static-devel-3.1.0_3 depends on file: /usr/local/lib/libglib-2.0.a - found
===>   Returning to build of qemu-user-static-devel-3.1.0_3
===>   qemu-user-static-devel-3.1.0_3 depends on executable: bison - not found
===>   Installing existing package /packages/All/bison-3.5.2,1.txz
[head-amd64-default-job-06] Installing bison-3.5.2,1...
[head-amd64-default-job-06] `-- Installing libtextstyle-0.20.1...
[head-amd64-default-job-06] `-- Extracting libtextstyle-0.20.1: .......... done
[head-amd64-default-job-06] `-- Installing m4-1.4.18_1,1...
[head-amd64-default-job-06] `-- Extracting m4-1.4.18_1,1: .......... done
[head-amd64-default-job-06] Extracting bison-3.5.2,1: .......... done
===>   qemu-user-static-devel-3.1.0_3 depends on executable: bison - found
===>   Returning to build of qemu-user-static-devel-3.1.0_3
===>   qemu-user-static-devel-3.1.0_3 depends on executable: gmake - not found
===>   Installing existing package /packages/All/gmake-4.2.1_3.txz
[head-amd64-default-job-06] Installing gmake-4.2.1_3...
[head-amd64-default-job-06] Extracting gmake-4.2.1_3: .......... done
===>   qemu-user-static-devel-3.1.0_3 depends on executable: gmake - found
===>   Returning to build of qemu-user-static-devel-3.1.0_3
===>   qemu-user-static-devel-3.1.0_3 depends on package: pkgconf>=1.3.0_1 - not found
===>   Installing existing package /packages/All/pkgconf-1.6.3,1.txz
[head-amd64-default-job-06] Installing pkgconf-1.6.3,1...
[head-amd64-default-job-06] Extracting pkgconf-1.6.3,1: .......... done
===>   qemu-user-static-devel-3.1.0_3 depends on package: pkgconf>=1.3.0_1 - found
===>   Returning to build of qemu-user-static-devel-3.1.0_3
===>   qemu-user-static-devel-3.1.0_3 depends on file: /usr/local/bin/python3.7 - found
===>   qemu-user-static-devel-3.1.0_3 depends on package: perl5>=5.30.r1<5.31 - not found
===>   Installing existing package /packages/All/perl5-5.30.1.txz
[head-amd64-default-job-06] Installing perl5-5.30.1...
[head-amd64-default-job-06] Extracting perl5-5.30.1: .......... done
=====
Message from perl5-5.30.1:

--
The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:

#!/usr/local/bin/perl

or

#!/usr/bin/env perl

The first one will only work if you have a /usr/local/bin/perl,
the second will work as long as perl is in PATH.
===>   qemu-user-static-devel-3.1.0_3 depends on package: perl5>=5.30.r1<5.31 - found
===>   Returning to build of qemu-user-static-devel-3.1.0_3
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for qemu-user-static-devel-3.1.0_3

ERROR: We need to link the QEMU user mode binaries at a
       specific text address. Unfortunately your linker
       doesn't support either the -Ttext-segment option or
       printing the default linker script with --verbose.
       If you don't want the user mode binaries, pass the
       --disable-user option to configure.

===>  Script "configure" failed unexpectedly.
Please report the problem to [hidden email] [maintainer] and attach
the
"/wrkdirs/usr/ports/emulators/qemu-user-static-devel/work/qemu-bsd-user-e21442a/config.log"
including the output of the failure of your make command. Also, it might be
a good idea to provide an overview of all packages installed on your system
(e.g. a /usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1

Stop.
make: stopped in /usr/ports/emulators/qemu-user-static-devel
_______________________________________________
[hidden email] mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-emulation
To unsubscribe, send any mail to "[hidden email]"